STOFFDocumentInternal Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
STOFFDocumentInternal Namespace Reference

small namespace use to define private class/method used by STOFFDocument More...

## Functions
shared_ptr< STOFFGraphicParser > | getGraphicParserFromHeader (STOFFInputStreamPtr &input, STOFFHeader *header, char const *passwd)
| Factory wrapper to construct a parser corresponding to an graphic header. More...
shared_ptr< STOFFTextParser > | getTextParserFromHeader (STOFFInputStreamPtr &input, STOFFHeader *header, char const *passwd)
| Factory wrapper to construct a parser corresponding to an text header. More...
shared_ptr< STOFFSpreadsheetParser > | getSpreadsheetParserFromHeader (STOFFInputStreamPtr &input, STOFFHeader *header, char const *passwd)
| Factory wrapper to construct a parser corresponding to an spreadsheet header. More...
STOFFHeader * | getHeader (STOFFInputStreamPtr &ip, bool strict)
| return the header corresponding to an input. More...
bool | checkHeader (STOFFInputStreamPtr &input, STOFFHeader &header, bool strict)
| Wrapper to check a basic header of a mac file. More...

## Detailed Description

small namespace use to define private class/method used by STOFFDocument

## Function Documentation

bool STOFFDocumentInternal::checkHeader | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader & | header,
|  | bool | strict
| ) |  |

Wrapper to check a basic header of a mac file.

Referenced by getHeader(), SDCParser::setDocumentPassword(), SDWParser::setDocumentPassword(), SDGParser::setDocumentPassword(), and SDAParser::setDocumentPassword().

shared_ptr< STOFFGraphicParser > STOFFDocumentInternal::getGraphicParserFromHeader | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header,
|  | char const * | passwd
| ) |  |

Factory wrapper to construct a parser corresponding to an graphic header.

Referenced by checkHeader(), and STOFFDocument::parse().

STOFFHeader * STOFFDocumentInternal::getHeader | ( | STOFFInputStreamPtr & | ip,
|  | bool | strict
| ) |  |

return the header corresponding to an input.

Or 0L if no input are found

Referenced by STOFFDocument::isFileFormatSupported(), and STOFFDocument::parse().

shared_ptr< STOFFSpreadsheetParser > STOFFDocumentInternal::getSpreadsheetParserFromHeader | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header,
|  | char const * | passwd
| ) |  |

Factory wrapper to construct a parser corresponding to an spreadsheet header.

Referenced by checkHeader(), and STOFFDocument::parse().

shared_ptr< STOFFTextParser > STOFFDocumentInternal::getTextParserFromHeader | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header,
|  | char const * | passwd
| ) |  |

Factory wrapper to construct a parser corresponding to an text header.

Referenced by checkHeader(), and STOFFDocument::parse().